Update campaign
PUT
/v1/campaigns/{campaignID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
campaignIDstringrequiredRequest body
requiredapplication/jsonaudience_source_idstringaudience_source_typestringdescriptionstringexplicit_contact_idsstring[] | nullmetadataanynamestringrequiredscheduled_atstringResponses
200OK
audience_source_idstringaudience_source_typestringrequiredcanceled_atstringcompleted_atstringcreated_atstringrequireddescriptionstringexplicit_contact_idsstring[] | nullfailed_atstringidstringrequiredmetadataanynamestringrequiredorganization_idstringrequiredscheduled_atstringstarted_atstringstatusstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/campaigns/string" \
-H "Content-Type: application/json" \
-d '{
"audience_source_id": "string",
"audience_source_type": "string",
"description": "string",
"explicit_contact_ids": [
"string"
],
"metadata": "string",
"name": "string",
"scheduled_at": "string"
}'const response = await fetch("/v1/campaigns/string", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"audience_source_id": "string",
"audience_source_type": "string",
"description": "string",
"explicit_contact_ids": [
"string"
],
"metadata": "string",
"name": "string",
"scheduled_at": "string"
})
});import requests
response = requests.put(
"/v1/campaigns/string",
headers={
"Content-Type": "application/json"
},
json={
"audience_source_id": "string",
"audience_source_type": "string",
"description": "string",
"explicit_contact_ids": [
"string"
],
"metadata": "string",
"name": "string",
"scheduled_at": "string"
},
)Response
{
"audience_source_id": "string",
"audience_source_type": "string",
"canceled_at": "string",
"completed_at": "string",
"created_at": "string",
"description": "string",
"explicit_contact_ids": [
"string"
],
"failed_at": "string",
"id": "string",
"metadata": "string",
"name": "string",
"organization_id": "string",
"scheduled_at": "string",
"started_at": "string",
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}